API Explorer 935 endpoints

Create Customer

POST /obp/v7.0.0/banks/BANK_ID/customers

OBPv6.0.0-createCustomer Roles: CanCreateCustomer(per bank) CustomerPerson

The Customer resource stores the customer number, legal name, email, phone number, date of birth, relationship status, education attained, a url for a profile image, KYC status, credit rating, credit limit, and other customer information.

Required Fields (2)
- legal_name
The customer's full legal name
- mobile_phone_number
The customer's mobile phone number
Optional Fields (26)
- customer_number
If not provided, a random number will be generated
- email
Customer's email address
- face_image
Customer's face image (url and date)
- date_of_birth
Customer's date of birth in YYYY-MM-DD format
- relationship_status
Customer's relationship status
- dependants
Number of dependants (must match the length of dob_of_dependants array)
- dob_of_dependants
Array of dependant birth dates in YYYY-MM-DD format
- credit_rating
Customer's credit rating (rating and source)
- credit_limit
Customer's credit limit (currency and amount)
- highest_education_attained
Customer's highest education level
- employment_status
Customer's employment status
- kyc_status
Know Your Customer verification status (true/false). Default: false
- last_ok_date
Last verification date
- title
Customer's title (e.g., Mr., Mrs., Dr.)
- branch_id
Associated branch identifier
- name_suffix
Customer's name suffix (e.g., Jr., Sr.)
- customer_type
Type of customer - INDIVIDUAL (default), CORPORATE, or SUBSIDIARY
- parent_customer_id
For SUBSIDIARY customers, the customer_id of the parent CORPORATE customer
Date Format
**
In v6.0.0, date_of_birth and dob_of_dependants must be provided in ISO 8601 date format
**YYYY-MM-DD** (e.g., "1990-05-15", "2010-03-20").
Dates are stored with time set to midnight (00
00:00) UTC for consistency.
Validations
**
- customer_number cannot contain `
:::` characters
Note
If you need to set a specific customer number, use the Update Customer Number endpoint after this call.
URL Parameters
**
BANK_ID
gh.29.uk

The dates are strictly validated and must be valid calendar dates.

  • customer_number must be unique for the bank
  • The number of dependants must equal the length of the dob_of_dependants array
  • date_of_birth must be in valid YYYY-MM-DD format if provided
  • Each date in dob_of_dependants must be in valid YYYY-MM-DD format User Authentication is Required. The User must be logged in. The Application must also be authenticated.
JSON request body fields (25)
amount
10.12
currency
EUR
date
2020-01-27
legal_name
Eveline Tripman
mobile_phone_number
+49 30 901820
rating
source
url
http://www.example.com/id-docs/123/image.png
branch_id
DERBY6
credit_limit
credit_rating
customer_number
5987953
customer_type
INDIVIDUAL
date_of_birth
2018-03-09
dependants
1
dob_of_dependants
[2019-09-08, 2017-07-12]
email
felixsmith@example.com
employment_status
worker
face_image
highest_education_attained
Master
kyc_status
false
last_ok_date
2025-10-21T01:45:31.340Z
name_suffix
Sr
relationship_status
single
title
Dr.
JSON response body fields (28)
amount
10.12
bank_id
gh.29.uk
branch_id
DERBY6
currency
EUR
customer_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
customer_number
5987953
customer_type
INDIVIDUAL
date
2020-01-27
date_of_birth
2018-03-09
dependants
1
dob_of_dependants
[2019-09-08, 2017-07-12]
email
felixsmith@example.com
employment_status
worker
face_image
highest_education_attained
Master
kyc_status
false
last_ok_date
2025-10-21T01:45:31.340Z
legal_name
Eveline Tripman
mobile_phone_number
+49 30 901820
name_suffix
Sr
parent_customer_id
rating
relationship_status
single
source
title
Dr.
url
http://www.example.com/id-docs/123/image.png
credit_limit
credit_rating
Example request body
{
  "legal_name": "Eveline Tripman",
  "customer_number": "5987953",
  "mobile_phone_number": "+49 30 901820",
  "email": "felixsmith@example.com",
  "face_image": {
    "url": "www.openbankproject",
    "date": "1100-01-01T00:00:00Z"
  },
  "date_of_birth": "1990-05-15",
  "relationship_status": "single",
  "dependants": 1,
  "dob_of_dependants": [
    "2015-03-20",
    "2018-07-10"
  ],
  "credit_rating": {
    "rating": "OBP",
    "source": "OBP"
  },
  "credit_limit": {
    "currency": "EUR",
    "amount": "0"
  },
  "highest_education_attained": "Master",
  "employment_status": "worker",
  "kyc_status": false,
  "last_ok_date": "2025-10-21T01:45:41Z",
  "title": "Dr.",
  "branch_id": "DERBY6",
  "name_suffix": "Sr",
  "customer_type": "INDIVIDUAL"
}
Example success response
{
  "bank_id": "gh.29.uk",
  "customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
  "customer_number": "5987953",
  "legal_name": "Eveline Tripman",
  "mobile_phone_number": "+44 07972 444 876",
  "email": "felixsmith@example.com",
  "face_image": {
    "url": "www.openbankproject",
    "date": "1100-01-01T00:00:00Z"
  },
  "date_of_birth": "1990-05-15",
  "relationship_status": "single",
  "dependants": 1,
  "dob_of_dependants": [
    "2015-03-20",
    "2018-07-10"
  ],
  "credit_rating": {
    "rating": "OBP",
    "source": "OBP"
  },
  "credit_limit": {
    "currency": "EUR",
    "amount": "0"
  },
  "highest_education_attained": "Master",
  "employment_status": "worker",
  "kyc_status": false,
  "last_ok_date": "2025-10-21T01:45:41Z",
  "title": "Dr.",
  "branch_id": "DERBY6",
  "name_suffix": "Sr",
  "customer_type": "INDIVIDUAL",
  "parent_customer_id": ""
}
Possible errors (13)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
  • OBP-10001: Incorrect json format.
  • OBP-10020: Incorrect json.
  • OBP-10005: Invalid Date Format. Could not convert value to a Date.
  • OBP-30272: Invalid customer_type. Must be one of: INDIVIDUAL, CORPORATE, SUBSIDIARY.
  • OBP-30273: Parent customer not found. The parent_customer_id must reference an existing customer at the same bank.
  • OBP-30006: Customer Number already exists. Please specify a different value for BANK_ID or CUSTOMER_NUMBER.
  • OBP-20005: User not found. Please specify a valid value for USER_ID.
  • OBP-30007: The User is already linked to a Customer at the bank specified by BANK_ID
  • OBP-30024: Could not create Consumer
  • OBP-50000: Unknown Error.
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv6.0.0 createCustomer Originally /obp/v6.0.0/banks/BANK_ID/customers